<?php
/**
* @version		$Id: helper.php 10857 2008-08-30 06:41:16Z willebil $
* @package		Joomla
* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* Joomla! is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See COPYRIGHT.php for copyright notices and details.
*/

// no direct access
defined('_JEXEC') or die('Restricted access');

class modDmsHelper
{
	function getLists(&$params){
		$db = JFactory::getDBO();
		$type = $params->get('type', 0);
		$numberItems = (int) $params->get('number_document', 5);
		$categories = $params->get('categories');		
		$where = array() ;
		$where[] = ' d.published = 1 ';		
		if ($categories) {
			$where[] = ' d.id IN (SELECT document_id FROM #__dms_category_documents WHERE category_id IN ("'.$categories.'")) ' ;
		}	
		switch ($type) {
			case 1 :
				$query = "SELECT d.category_id, d.id, d.thumb, d.title FROM #__dms_documents AS d "
					. ' WHERE '.implode(' AND ', $where)	
					 ." ORDER BY d.hits DESC ";
				break ;	 	
			case 2 :
				$query = "SELECT d.category_id, d.id, d.thumb, d.title, COUNT(o.order_id) as num_sales "
					 ." FROM #__dms_documents AS d  "
					 ." LEFT JOIN #__dms_order_item AS o ON d.id = o.document_id GROUP BY d.id ORDER BY num_sales DESC ";
				break ;	 
			case 0 :
			default:
				$query = "SELECT d.category_id, d.id, d.thumb, d.title FROM #__dms_documents AS d "
					. ' WHERE '.implode(' AND ', $where)	
					 ." ORDER BY d.created_date DESC ";	
				break ;	 
							
		}		
		$db->setQuery($query, 0, $numberItems);			
		$lists = $db->loadObjectList(); 		
		return $lists;
	}
}
